package com.emr.dao;

import com.emr.entity.BatchApplyDetails;
import com.emr.entity.EffectiveTimeVo;
import com.emr.vo.BatchApplyDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName BatchApplyDetailsMapper
 * @Description  借阅申请列表接口
 * @Author linjj
 * @Date 2023/9/4 11:19
 * @Version 1.0
 */
@Mapper
public interface BatchApplyDetailsMapper {

    int addBatchApplyDetails(@Param("list")List<BatchApplyDetailsVo> list);

    List<BatchApplyDetails> getBatchApplyDetails(@Param("batchId")int batchId, @Param("inpatientNo")String inpatientNo);

    int deleteByBatchId(int batchId);

    int deleteById(int id);


    int upadteApplyDetails(BatchApplyDetailsVo batchApplyDetailsVo);

    int upadteApplyDetailsList(@Param("list") List<BatchApplyDetailsVo> list);

    String getEffectiveTime(@Param("ids") Integer ids,@Param("examineTimes") String examineTimes);


    int getNumInpNoAndAdmissTimes(@Param("inpatientNo")String inpatientNo,@Param("admissTimes")int admissTimes,@Param("batchId")int batchId);


    List<String> getIdInpNoAndAdmissTimes(@Param("inpatientNo")String inpatientNo,@Param("admissTimes")String admissTimes,@Param("batchId")int batchId);


    int updateBatchApplyDetails(@Param("id")String id,@Param("userName")String userName,@Param("barCodeName")String barCodeName,@Param("returnTime")String returnTime);

}
